MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
ArgParser.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
`#include <limits>`
`#include <stdint.h>`
Include dependency graph for ArgParser.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | RangeArg

## Functions
gcc_pure uint32_t | ParseCommandArgU32 (const char *s)
gcc_pure int | ParseCommandArgInt (const char *s, int min_value, int max_value)
gcc_pure int | ParseCommandArgInt (const char *s)
gcc_pure RangeArg | ParseCommandArgRange (const char *s)
gcc_pure unsigned | ParseCommandArgUnsigned (const char *s, unsigned max_value)
gcc_pure unsigned | ParseCommandArgUnsigned (const char *s)
gcc_pure bool | ParseCommandArgBool (const char *s)
gcc_pure float | ParseCommandArgFloat (const char *s)
gcc_pure SongTime | ParseCommandArgSongTime (const char *s)
gcc_pure SignedSongTime | ParseCommandArgSignedSongTime (const char *s)

## Function Documentation

gcc_pure bool ParseCommandArgBool | ( | const char * | s | ) |

gcc_pure float ParseCommandArgFloat | ( | const char * | s | ) |

gcc_pure int ParseCommandArgInt | ( | const char * | s,
|  | int | min_value,
|  | int | max_value
| ) |  |

gcc_pure int ParseCommandArgInt | ( | const char * | s | ) |

gcc_pure RangeArg ParseCommandArgRange | ( | const char * | s | ) |

gcc_pure SignedSongTime ParseCommandArgSignedSongTime | ( | const char * | s | ) |

gcc_pure SongTime ParseCommandArgSongTime | ( | const char * | s | ) |

gcc_pure uint32_t ParseCommandArgU32 | ( | const char * | s | ) |

gcc_pure unsigned ParseCommandArgUnsigned | ( | const char * | s,
|  | unsigned | max_value
| ) |  |

gcc_pure unsigned ParseCommandArgUnsigned | ( | const char * | s | ) |